Name:           wmlaptop
Version:        1.4
Release:        %mkrel 12
Summary:        A dock application to monitor your laptop's battery and more
License:        GPLv2
Group:          Monitoring

URL:            http://wmlaptop.sourceforge.net
Source0:        https://sourceforge.net/projects/wmlaptop/files/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz

#replace all calls to /proc/acpi to /sys/class/power_supply
Patch0:         wmlaptop-1.4-sysfs.patch

BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(xdmcp)
BuildRequires:  pkgconfig(x11) 


%description
Wmlaptop is a dock application for WindowMaker, or any other window
manager that supports docking, which includes all that a Linux user
with a laptop needs. The smartest should have guess that wmlaptop
includes an advanced battery information interface, with an estimated
battery duration time indicator. But that's only one of the useful
functions provided by wmlaptop, checkout the README file in
%{_docdir}/%{name} for more information.


%prep
%setup -q 
%autopatch -p0


%build
%make_build CFLAGS="%optflags" LIBDIR="%ldflags"


%install
chmod 644 README*
install -D -m 755 src/wmlaptop %{buildroot}%{_bindir}/%{name}


%files
%doc AUTHORS CHANGELOG LICENSE BUGS README README.IT THANKS
%{_bindir}/%{name}





%changelog
* Wed Mar 30 2022 umeabot <umeabot> 1.4-12.mga9
+ Revision: 1835119
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 1.4-11.mga8
+ Revision: 1518203
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.4-10.mga7
+ Revision: 1301697
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.4-9.mga6
+ Revision: 946217
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4-8.mga5
+ Revision: 745200
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4-7.mga5
+ Revision: 690344
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4-6.mga4
+ Revision: 520258
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.4-5.mga3
+ Revision: 385766
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 1.4-4.mga3
+ Revision: 314665
- Rebuild for mga3

* Sat Feb 11 2012 eatdirt <eatdirt> 1.4-3.mga2
+ Revision: 207469
- Add support for reading "ENERGY" entry in sysfs power_supply class
  (bug 4399)

* Thu Feb 09 2012 eatdirt <eatdirt> 1.4-2.mga2
+ Revision: 206593
- Replace deprecated calls to /proc/acpi/ by /sys (bug 4399)

* Fri Nov 11 2011 eatdirt <eatdirt> 1.4-1.mga2
+ Revision: 166789
- imported package wmlaptop


* Fri Nov 11 2011 Chris Ringeval <dirteat@gmail.com> 1.4-1.mga2
- import wmlaptop
